## RygelDLNAProfile

RygelDLNAProfile — Data class representing a DLNA profile. It contains the name and the corresponding DLNA mime type.

## Functions

#define | RYGEL_TYPE_DLNA_PROFILE
RygelDLNAProfile * | rygel_dlna_profile_new ()
gint | rygel_dlna_profile_compare_by_name ()
gpointer | rygel_dlna_profile_ref ()
void | rygel_dlna_profile_unref ()
GParamSpec * | rygel_param_spec_dlna_profile ()
void | rygel_value_set_dlna_profile ()
gpointer | rygel_value_get_dlna_profile ()
void | rygel_value_take_dlna_profile ()

## Types and Values

struct | RygelDLNAProfile
struct | RygelDLNAProfileClass

## Object Hierarchy

        RygelDLNAProfile

## Description

The mime type can deviate from mime types typically used elsewhere.

## Functions

### RYGEL_TYPE_DLNA_PROFILE

    #define RYGEL_TYPE_DLNA_PROFILE (rygel_dlna_profile_get_type ())

The type for RygelDLNAProfile.

### rygel_dlna_profile_new ()

    RygelDLNAProfile *
    rygel_dlna_profile_new (const gchar *name,
                            const gchar *mime);

#### Parameters

name |  |
mime |  |

### rygel_dlna_profile_compare_by_name ()

    gint
    rygel_dlna_profile_compare_by_name (RygelDLNAProfile *a,
                                        RygelDLNAProfile *b);

Compare two DLNA profiles by name

#### Parameters

a |  |
b |  |

### rygel_dlna_profile_ref ()

    gpointer
    rygel_dlna_profile_ref (gpointer instance);

Increases the reference count of `object` .

#### Parameters

instance | a RygelDLNAProfile. |

#### Returns

the same `object`

### rygel_dlna_profile_unref ()

    void
    rygel_dlna_profile_unref (gpointer instance);

Decreases the reference count of `object` . When its reference count drops to 0, the object is finalized (i.e. its memory is freed).

#### Parameters

instance | a RygelDLNAProfile. |

### rygel_param_spec_dlna_profile ()

    GParamSpec *
    rygel_param_spec_dlna_profile (const gchar *name,
                                   const gchar *nick,
                                   const gchar *blurb,
                                   GType object_type,
                                   GParamFlags flags);

Creates a new GParamSpecBoxed instance specifying a `RYGEL_TYPE_DLNA_PROFILE` derived property.

See ``g_param_spec_internal()`` for details on property names.

#### Parameters

name | canonical name of the property specified |
nick | nick name for the property specified |
blurb | description of the property specified |
object_type | `RYGEL_TYPE_DLNA_PROFILE` derived type of this property |
flags | flags for the property specified |

### rygel_value_set_dlna_profile ()

    void
    rygel_value_set_dlna_profile (GValue *value,
                                  gpointer v_object);

Set the contents of a `RYGEL_TYPE_DLNA_PROFILE` derived GValue to `v_object` .

`rygel_value_set_dlna_profile()` increases the reference count of `v_object` (the GValue holds a reference to `v_object`). If you do not wish to increase the reference count of the object (i.e. you wish to pass your current reference to the GValue because you no longer need it), use `rygel_value_take_dlna_profile()` instead.

It is important that your GValue holds a reference to `v_object` (either its own, or one it has taken) to ensure that the object won't be destroyed while the GValue still exists).

#### Parameters

value | a valid GValue of `RYGEL_TYPE_DLNA_PROFILE` derived type |
v_object | object value to be set |

### rygel_value_get_dlna_profile ()

    gpointer
    rygel_value_get_dlna_profile (const GValue *value);

Get the contents of a `RYGEL_TYPE_DLNA_PROFILE` derived GValue.

#### Parameters

value | a valid GValue of `RYGEL_TYPE_DLNA_PROFILE` derived type |

#### Returns

object contents of `value`

### rygel_value_take_dlna_profile ()

    void
    rygel_value_take_dlna_profile (GValue *value,
                                   gpointer v_object);

Sets the contents of a `RYGEL_TYPE_DLNA_PROFILE` derived GValue to `v_object` and takes over the ownership of the callers reference to `v_object` ; the caller doesn't have to unref it any more (i.e. the reference count of the object is not increased).

If you want the GValue to hold its own reference to `v_object` , use `rygel_value_set_dlna_profile()` instead.

#### Parameters

value | a valid GValue of `RYGEL_TYPE_DLNA_PROFILE` derived type |
v_object | object value to be set |

## Types and Values

### struct RygelDLNAProfile

    struct RygelDLNAProfile;

Data class representing a DLNA profile. It contains the name and the corresponding DLNA mime type.

The mime type can deviate from mime types typically used elsewhere.

### struct RygelDLNAProfileClass

    struct RygelDLNAProfileClass {
    	GTypeClass parent_class;
    	void (*finalize) (RygelDLNAProfile *self);
    };

The class structure for `RYGEL_TYPE_DLNA_PROFILE`. All the fields in this structure are private and should never be accessed directly.

#### Members

GTypeClass `parent_class`; | the parent class structure |
`finalize` () |  |